Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
StringIO Struct Reference

## Data Fields
VALUE | string
rb_encoding * | enc
long | pos
long | lineno
int | flags
int | count

## Detailed Description

Definition at line 109 of file stringio.c.

## Field Documentation

## ◆ count

int StringIO::count

Definition at line 115 of file stringio.c.

## ◆ enc

rb_encoding* StringIO::enc

Definition at line 111 of file stringio.c.

## ◆ flags

int StringIO::flags

Definition at line 114 of file stringio.c.

## ◆ lineno

long StringIO::lineno

Definition at line 113 of file stringio.c.

## ◆ pos

long StringIO::pos

Definition at line 112 of file stringio.c.

## ◆ string

VALUE StringIO::string

Definition at line 110 of file stringio.c.

The documentation for this struct was generated from the following file:

- ext/stringio/stringio.c